# LDAP kudeaketarako Web Interfazea
[base]: https://github.com/jirutka/ldap-passwd-webui
[proiektu-izena]: ldap-python-webui
[git-izena]: aitzol/[proiektu-izena]
[pypi-bottle]: https://pypi.python.org/pypi/bottle/
[pypi-ldap3]: https://pypi.python.org/pypi/ldap3
[ua]: https://pypi.org/project/user-agents/
[settings]: https://git.lainoa.eus/aitzol/ldap-python-webui/src/branch/master/settings.ini.example
[uwsgi-example]: https://git.lainoa.eus/aitzol/ldap-python-webui/src/branch/master/uwsgi.ini.example
[uwsgi]: https://pypi.org/project/uWSGI/
[GPL3]: https://www.gnu.org/licenses/gpl-3.0.txt
[LICENSE]: https://www.gnu.org/licenses/licenses.html
[wsgiref]: https://docs.python.org/3/library/wsgiref.html#module-wsgiref.simple_server
[WSGI]: https://en.wikipedia.org/wiki/Web_Server_Gateway_Interface
[LDAP]: https://eu.wikipedia.org/wiki/LDAP
[fork]: https://github.com/jirutka/ldap-passwd-webui
[server]: https://git.lainoa.eus/aitzol/ldap-docker

Proiektu honen helburua erabiltzaileei [LDAP][LDAP] protokoloa erabiltzen duten zerbitzuetan norberaren kontuaren kudeaketarako tresna bat eskaintzea da, kontua sortu, pasahitza aldatu eta oinarrizko beste eragiketa batzuk burutzeko aukera emanez. [Bottle](http://bottlepy.org), Python-en WSGI web-framework-a erabiliz dago eraikia, [@jirutka][fork]-ren _ldap-passwd-webui_ proiektuan oinarritua.

Probak egiteko LDAP zerbitzari bat instalatu da ondorengo [eredua][server] jarraituz.

## Instalakuntza

### Ostalarian

#### Baldintzak

* Python 3.x
* [bottle][pypi-bottle]
* [ldap3][pypi-ldap3] 2.x
* [uwsgi][uwsgi]
* [user-agents][ua]

Biltegi honetako edukiak klonatu eta menpekotasunak instalatu:

    git clone https://git.lainoa.eus/aitzol/ldap-python-webui.git
    cd ldap-python-webui
    pip install -r requirements.txt
    
### Docker bidez

#### Prestakuntza

Konfiguraketa fitxategia sortu:

    cp settings.ini.example settings.ini

#### Docker irudia eraiki

    docker build -t aitzol/ldap-webui:latest .

edo

    docker build -t aitzol/ldap-webui:latest . --build-arg UID_=$UID    

#### Edukiontzia sortu

    docker-compose up -d
    
## Nola abiarazi

#### Ezarpenak

Konfiguraketa [settings.ini][settings] fitxategian ezartzen da. Fitxategi honen kokapena `CONF_FILE` ingurumen-aldagaia erabiliz zehaztu daiteke.

#### Ingurunea

`LDAP_ADMIN_PASSWORD` eta `LDAP_READONLY_PASSWORD` _environment_ edo ingurumen-aldagaiak sisteman ezarri.

#### Abiarazteko aukerak

* [WSGI][WSGI] zerbitzariaren bidez, [wsgiref][wsgiref]-en oinarritua:

```
    uwsgi --http :9090 --enable-threads --wsgi-file app.py
```
edo [uwsgi.ini][ uwsgi-example ] fitxategia sortu eta exekutatu:

```
    uwsgi -i uwsgi.ini
```
* Berezko Bottle zerbitzariaren bidez zuzenean `app.py` exekutatuz:

```
    cd ldap-python-webui
    python3 app.py
```
* Komando lerroan **start.sh** script-a erabiliz:

```
    ./start.sh $UID
```
* Ondoren nabigatzailean http://localhost:9090 helbidea ireki

## Ezaugarriak
* Saioa hasi
    > Erabiltzaile izena eta pasahitzaz LDAP zerbitzarian saioa hasi.
* Izen-abizenak(aukerakoa) editatu
* Email helbidea editatu
* Pasahitza aldatu
* kontua ezabatu
* Kontua sortu
    > Gonbidapen kodea erabiliz
* Lokalizazioa/Hizkuntza egokitzeko aukera
* Ip helbidea eta gailua atzeman

## Egiteke

* Erabiltzaileari ePosta bidez kontua aktibatzeko eskatzea.
* Pasahitza berrezartzen denean erabiltzaileari ePosta bidez jakinaraztea.
* Pasahitz berreskuratzea.
* Ip helbide edo gailu susmagarria atzemanez gero erabiltzailea jakinaraztea.

## Screenshot

![alt text](data/screenshot.png "Screenshot")


## Lizentzia

Lan hau [GPLv3 License][LICENSE] lizentziapean aurkitzen da.
Lizentziaren textu osoa eskuratzeko ikusi ondorengo [esteka][GPL3].
