<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['ch-pwd'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
      <h1>{{ str['ch-pwd'] }}</h1>

      <form method="post">

        <label for="old-password">{{ str['old-pwd'] }}</label>
        <input id="old-password" name="old-password" type="password" required autofocus>

        <label for="new-password">{{ str['new-pwd'] }}</label>
        <input id="new-password" name="new-password" type="password"
            pattern=".{8,}" oninvalid="SetCustomValidity('Password must be at least 8 characters long.')" required>

        <label for="confirm-password">{{ str['conf-pwd'] }}</label>
        <input id="confirm-password" name="confirm-password" type="password"
            pattern=".{8,}" oninvalid="SetCustomValidity('Password must be at least 8 characters long.')" required>

        <div class="form-buttons">
          <a href="/user"><button class="green" type="button">{{ str['back'] }}</button></a>
          <button class="green" type="submit">{{ str['update'] }}</button>
        </div>

      </form>

      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end
      
    </main>
  </body>
</html>
