<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['welcome'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
      <h1>{{ str['welcome'] }} <span class="username">{{ data['username'] }}</span></h1>

      <div class="grid-container">
        <div class="grid-item">
          <div class="user account">
            <h5>{{ str['usr'] }}</h5>
            <p>{{ data['firstname'] }} {{ data['surname'] }}</p>
          </div>
        </div>

        <div class="grid-item">
          % if data['fakeCn'] == True:
            <a href="/edit_fullname" class="edit">{{ str['edit'] }}</a>
          % end
        </div>

        <div class="grid-item">
          <div class="email account">
            <h5>{{ str['email'] }}</h5>
            <p>{{ data['mail'] }}</p>
          </div>
        </div>

        <div class="grid-item">
          <a href="/edit_email">{{ str['edit'] }}</a>          
        </div>

        <div class="grid-item">
          <div class="account">
            <h5>{{ str['pwd'] }}</h5>
            <p>********</p>
          </div>
        </div>

        <div class="grid-item">
          <a href="/change_pwd">{{ str['edit'] }}</a>
        </div>

        <!-- 2FA -->
        <div class="grid-item">
          <div class="account">
            <h5>2FA</h5>
            <p>{{ str['2fa-title'] }}</p>
          </div>
        </div>

        <div class="grid-item">
            <!--<a href="/_2fa">{{'Kendu' if data['secureAuth'] == True else "Ezarri"}}</a>-->
            % if data['secureAuth'] == True:
                <a href="/_2fa"><i class='ri-toggle-fill'></i></a>
            % else:
                <a href="/_2fa"><i class='ri-toggle-line'></i></a>
            %end
        </div>

        <div class="grid-item">
          <div class="account">
            <h5>{{ str['logs'] }}</h5>
          </div>
        </div>

        <div class="grid-item">
          <a href="/logs">{{ str['show'] }}</a>
        </div>

        <div class="account">
          <a href="/logout"><button class="green" type="button">{{ str['log-out'] }}</button></a>
          <a href="/delete"><button class="red" type="button">{{ str['del'] }}</button></a>
        </div>

      </div>


      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end

    </main>

  </body>
</html>
